﻿@model IEnumerable<activity.Models.Product>

@{
    ViewData["Title"] = "Product List";
}

<div class="row">
    <div class="col-md-6">
        <h1>Products</h1>
    </div>
    <div class="col-md-6 d-flex justify-content-end align-items-center">
        <a class="btn btn-success text-light" asp-controller="Products" asp-action="Create">
            Add New Product
        </a>
    </div>
</div>

<table class="table">
    <thead>
        <tr>
            <th style="width: 10%">
                @Html.DisplayNameFor(model => model.Logo)
            </th>

            <th style="width: 10%">
                @Html.DisplayNameFor(model => model.ProductName)
            </th>

            <th style="width: 10%">
                @Html.DisplayNameFor(model => model.Category)
            </th>

            <th style="width: 50%">
                @Html.DisplayNameFor(model => model.Description)
            </th>

            <th style="width: 10%">
                @Html.DisplayNameFor(model => model.Price)
            </th>
            
            <th style="width: 10%">Actions</th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>

            <td class="align-middle">
                @if (item.Logo != null)
                {
                    <img src="@Url.Content(item.Logo)" alt="Logo" style="height: 75px; width: 75px" />
                }
            </td>

            <td class="align-middle">
                @Html.DisplayFor(modelItem => item.ProductName)
            </td>

            <td class="align-middle">
                @Html.DisplayFor(modelItem => item.Category)
            </td>

            <td class="align-middle">
                @Html.DisplayFor(modelItem => item.Description)
            </td>

            <td class="align-middle">
                @Html.DisplayFor(modelItem => item.Price)
            </td>

            <td class="align-middle">
                <button class="btn btn-warning fw-bold d-block w-100 mb-2">
                    <a class="text-dark text-decoration-none" asp-action="Edit" asp-route-id="@item.Id">Edit</a>
                </button>
                <button class="btn btn-primary fw-bold d-block w-100 mb-2">
                    <a class="text-dark text-decoration-none" asp-action="Details" asp-route-id="@item.Id">Details</a>
                </button>
                <button class="btn btn-danger fw-bold d-block w-100 mb-2">
                    <a class="text-dark text-decoration-none" asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                </button>
            </td>

        </tr>
}
    </tbody>
</table>
